<?php

namespace App\GenDocument\Vars;

interface ValuesInterface
{

	/**
	 * Saves the extraParams list
	 * @param mixed $extraParams
	 */
	public function setExtraParams($extraParams) ;


	/**
	 * Returns a var value for a certain pivot
	 * @param String $field
	 * @return Mixed - the var value
	 */
	public function getValue($field) ;


	/**
	 * Indicates if the $field variable exists
	 * @param String $field - the var name
	 * @return Boolean
	 */
	public function exists($field) ;


	/**
	 * Get an instantiated configurator object, that could be used to inspect the configured fields
	 * @param string $field
	 */
	public function getConfig() ;


	/**
	 * Singleton instantiation for this pivot/idPivot
	 * @param Int $idPivot
	 */
	static public function getInstance($idPivot) ;

}

